Name:      gifsicle
Version:   1.90
Release:   1
Summary:   Powerful program for manipulating GIF images and animations
Group:     Applications/File
License:   GPLv2+
URL:       http://www.lcdf.org/gifsicle/
Source0:   http://www.lcdf.org/gifsicle/%{name}-%{version}.tar.gz
Patch0:    %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Gifsicle is a command-line tool for creating, editing, and getting
information about GIF images and animations.

Some more gifsicle features:

    * Batch mode for changing GIFs in place.
    * Prints detailed information about GIFs, including comments.
    * Control over interlacing, comments, looping, transparency...
    * Creates well-behaved GIFs: removes redundant colors, only uses local
      color tables if it absolutely has to (local color tables waste space
      and can cause viewing artifacts), etc.
    * It can shrink colormaps and change images to use the Web-safe palette
      (or any colormap you choose).
    * It can optimize your animations! This stores only the changed portion
      of each frame, and can radically shrink your GIFs. You can also use
      transparency to make them even smaller. Gifsicle?s optimizer is pretty
      powerful, and usually reduces animations to within a couple bytes of
      the best commercial optimizers.
    * Unoptimizing animations, which makes them easier to edit.
    * A dumb-ass name.

One other program is included with gifsicle
and gifdiff compares two GIFs for identical visual appearance.


%package -n gifview
Summary: Lightweight animated-GIF viewer
Group:   Applications/File

%description -n gifview
gifview is a lightweight animated-GIF viewer which can show animations as
slideshows or in real time.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-warnings

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING NEWS.md README*
%{_bindir}/gifdiff
%{_bindir}/gifsicle
%{_mandir}/man1/gifdiff.1
%{_mandir}/man1/gifsicle.1
/usr/bin/gifdiff
/usr/bin/gifsicle


%files -n gifview
%defattr(-,root,system,-)
%doc COPYING NEWS.md README*
%{_bindir}/gifview
%{_mandir}/man1/gifview.1
/usr/bin/gifview


%changelog
* Fri Sep 22 2017 Michael Perzl <michael@perzl.org> - 1.90-1
- updated to version 1.90

* Wed Dec 23 2015 Michael Perzl <michael@perzl.org> - 1.88-1
- updated to version 1.88

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 1.87-1
- updated to version 1.87

* Mon Oct 13 2014 Michael Perzl <michael@perzl.org> - 1.84-1
- updated to version 1.84

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 1.81-1
- updated to version 1.81

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.68-1
- updated to version 1.68

* Tue Jun 12 2012 Michael Perzl <michael@perzl.org> - 1.67-1
- updated to version 1.67

* Mon Apr 30 2012 Michael Perzl <michael@perzl.org> - 1.66-1
- updated to version 1.66

* Tue Aug 09 2011 Michael Perzl <michael@perzl.org> - 1.63-1
- first version for AIX V5.1 and higher
